org.jbpm.kie.services.impl.audit

## Class ServicesAwareAuditEventBuilder

- java.lang.Object
- - org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl
  - - org.jbpm.kie.services.impl.audit.ServicesAwareAuditEventBuilder

- All Implemented Interfaces:
    AuditEventBuilder

      public class ServicesAwareAuditEventBuilder
      extends DefaultAuditEventBuilderImpl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicesAwareAuditEventBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessCompletedEvent pce, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeLeftEvent pnle, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessStartedEvent pse)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessVariableChangedEvent pvce)`
    `String` | `getDeploymentUnitId()`
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()`
    `void` | `setDeploymentUnitId(String deploymentUnitId)`
    `void` | `setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)`

    - ### Methods inherited from class org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl

      `buildEvent, getNodeContainerId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesAwareAuditEventBuilder

          public ServicesAwareAuditEventBuilder()

  - ### Method Detail

    - #### getIdentityProvider

          public org.kie.internal.identity.IdentityProvider getIdentityProvider()

    - #### setIdentityProvider

          public void setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessStartedEvent pse)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessCompletedEvent pce,
                                       Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeLeftEvent pnle,
                                       Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessVariableChangedEvent pvce)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### getDeploymentUnitId

          public String getDeploymentUnitId()

    - #### setDeploymentUnitId

          public void setDeploymentUnitId(String deploymentUnitId)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.